Name: cockpit-files
Version: 5
Release: 1%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: https://github.com/cockpit-project/cockpit-files/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
BuildRequires: libappstream-glib
BuildRequires: gettext

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly))
Provides: bundled(npm(@patternfly/react-core))
Provides: bundled(npm(@patternfly/react-icons))
Provides: bundled(npm(@patternfly/react-styles))
Provides: bundled(npm(@patternfly/react-table))
Provides: bundled(npm(@patternfly/react-tokens))
Provides: bundled(npm(attr-accept))
Provides: bundled(npm(dequal))
Provides: bundled(npm(file-selector))
Provides: bundled(npm(focus-trap))
Provides: bundled(npm(js-tokens))
Provides: bundled(npm(lodash))
Provides: bundled(npm(loose-envify))
Provides: bundled(npm(object-assign))
Provides: bundled(npm(prop-types))
Provides: bundled(npm(react-dom))
Provides: bundled(npm(react-dropzone))
Provides: bundled(npm(react-is))
Provides: bundled(npm(react))
Provides: bundled(npm(scheduler))
Provides: bundled(npm(tabbable))
Provides: bundled(npm(throttle-debounce))
Provides: bundled(npm(tslib))

%description
A filesystem browser for Cockpit

%prep
%setup -q -n %{name}

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu Aug 8 2024 Adrien_D <adriend@linuxtricks.lan> - 5-1
- Initial Version
